lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |gem|
  gem.name          = 'jekyll-relative-urls'
  gem.version       = '0.0.4'
  gem.authors       = ['Sutty']
  gem.email         = ['hi@sutty.nl']
  gem.description   = 'It allows you to generate sites that work without changes even if you put them on one or several levels of subdirectories, thus making them transportable :)'
  gem.summary       = 'A jekyll plugin for transportable sites'
  gem.homepage      = 'https://0xacab.org/sutty/jekyll/jekyll-relative-urls'
  gem.license       = 'GPL-3.0+'

  gem.files         = `git ls-files`.split($INPUT_RECORD_SEPARATOR)
  gem.executables   = gem.files.grep(%r{^bin/}).map { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.add_runtime_dependency 'jekyll', '>= 3.8', '< 5'
  gem.add_development_dependency('rubocop', '~> 0.68')
  gem.add_development_dependency('rubocop-performance', '~> 0')
end
